package ueb04

import scala.scalajs.js
import scala.util.Try
import scala.util.control.NonFatal

object Main extends js.JSApp {
  import org.scalajs.dom._

  def main =
    document.onreadystatechange =
      (e: Event) => if (document.readyState == "complete") init


  def init = {
    val button = document.getElementById("calc").asInstanceOf[html.Button]
    val input = document.getElementById("expr").asInstanceOf[html.Input]
    val output = document.getElementById("result").asInstanceOf[html.Div]

    button.addEventListener("click", (e: Event) => {
      import ExprParser._
      output.innerHTML = parseAll(block, input.value) match {
        case Success(expr, rest) => "= " + expr.toString
        case NoSuccess(msg, rest) => msg
      }
    })
  }
}